Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451806 - no sound on my laptop ATI IXP SB4X0 High definition audio
Summary: no sound on my laptop ATI IXP SB4X0 High definition audio
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 14:43 UTC by Alex Tunc
Modified: 2009-07-14 18:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:05:48 UTC


Attachments (Terms of Use)
dmesg output (deleted)
2008-06-17 14:43 UTC, Alex Tunc
no flags Details

Description Alex Tunc 2008-06-17 14:43:10 UTC
Description of problem:  no sound on my laptop  here is lspci output
00:14.2 Audio device: ATI Technologies Inc IXP SB4x0 High Definition Audio
Controller (rev 01)



Version-Release number of selected component (if applicable):


How reproducible:   always


Steps to Reproduce:
1.fresh install fedora9 i386
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alex Tunc 2008-06-17 14:43:10 UTC
Created attachment 309621 [details]
dmesg output

Comment 2 Lennart Poettering 2008-06-17 17:24:37 UTC
is this device listed in /proc/asound/pcm?

Comment 3 Alex Tunc 2008-06-23 14:46:27 UTC
(In reply to comment #2)
> is this device listed in /proc/asound/pcm?


hmm how can check that ?  I also tryed realtek linux audio pack 5.04 driver pack
but it didnt working.. in XP when I look sound its realtek high def audio.

Comment 4 Alex Tunc 2008-06-24 23:09:05 UTC
00:00.0 Host bridge: ATI Technologies Inc Unknown device 5a31 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 IDE interface: ATI Technologies Inc IXP SB400 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 82)
00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller (rev 80)
00:14.2 Audio device: ATI Technologies Inc IXP SB4x0 High Definition Audio
Controller (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]
09:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
09:04.0 Network controller: RaLink RT2561/RT61 rev B 802.11g

Comment 5 Alex Tunc 2008-06-25 02:06:56 UTC
now sound works via headphones  but built-in speakers dont work.. how can I
enable speakers ?

I use in modprobe.conf

# ALSA portio
alias char-major-116 snd
alias snd-card-0 snd-atiixp
# OSS/Free portion
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
# card #1
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
 


Comment 6 Lennart Poettering 2008-06-26 18:28:06 UTC
Does 'cat /proc/asound/pcm' show the device?

Have you played around with "alsamixer -c0"?

Comment 7 Alex Tunc 2008-06-27 00:04:43 UTC
yeah..  00-00: ALC861VD Analog : ALC861VD Analog : playback 1 : capture 1


yeah I tryed alsamixer all the panels %100 master,pcm,front,speaker..only mic is
muted.

Now I can listen sound from headphones but built-in speakers still doesnt work??

 still some interesting lines in dmesg

hda_codec: Unknown model for ALC660VD/ALC861VD, trying auto-probe from BIOS...
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Surround Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Center Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave LFE Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Side Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Mono Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Line-Out Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Surround Playback Switch,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Center Playback Switch,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave LFE Playback Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Side Playback Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Mono Playback Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave IEC958 Playback Switch,
skipped



Comment 8 Alex Tunc 2008-06-27 00:51:48 UTC
Done!  adding this lines speakers now working..

alias char-major-116 snd
alias snd-card-0 snd-hda-intel

options snd-hda-intel index=0 model=lenovo




Comment 9 Lubomir Rintel 2008-06-27 08:27:19 UTC
(In reply to comment #8)
> Done!  adding this lines speakers now working..
> 
> alias char-major-116 snd
> alias snd-card-0 snd-hda-intel
> 
> options snd-hda-intel index=0 model=lenovo

I wonder if "options snd-hda-intel model=lenovo" by themselves work?

Comment 10 Lennart Poettering 2008-09-09 20:05:10 UTC
This seems to be an ALSA bug then, it misses some quirks. Reassigning.

Comment 11 Bug Zapper 2009-06-10 01:39:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-07-14 18:05:48 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.